[Rubygems-developers] [rubygems] Build still broken (#1179)

Jim Weirich jim at weirichhouse.org
Tue Dec 26 15:03:09 EST 2006


Cerberus wrote:
 >   1) Failure:
 > test_class_build(TestGemExtRakeBuilder) 
[./test/test_gem_ext_rake_builder.rb:35]:
 > <["rake 
RUBYARCHDIR=C:/DOCUME~1/anatol/LOCALS~1/Temp/test_rubygems_3748/prefix 
RUBYLIBDIR=C:/DOCUME~1/anatol/LOCALS~1/Temp/test_rubygems_3748/prefix 
extension",
 >  "(in C:/DOCUME~1/anatol/LOCALS~1/Temp/test_rubygems_3748/ext)\n"]> 
expected but was
 > <["rake 
RUBYARCHDIR=C:/DOCUME~1/anatol/LOCALS~1/Temp/test_rubygems_3748/prefix 
RUBYLIBDIR=C:/DOCUME~1/anatol/LOCALS~1/Temp/test_rubygems_3748/prefix 
extension",
 >  "(in 
C:/DOCUME~1/anatol/LOCALS~1/Temp/test_rubygems_3748/ext)\nrequire_gem is 
obsolete.  Use gem instead.\n"]>.

This one caught me too. You need to fix the calling script that
invokes rake, as the 'require_gem' warning is messing up the test
output. Does "gem pristine fix this yet?

-- 
-- Jim Weirich      jim at weirichhouse.org     http://onestepback.org
-- In theory, practice and theory are the same.
-- In practice, they are different.


More information about the Rubygems-developers mailing list